from .config import Config

from flask import Blueprint, redirect, request, render_template

from datetime import datetime, timedelta

views = Blueprint(
    name='common',
    import_name=__name__,
    template_folder='templates',
    static_folder='static'
)

@views.route('/privacy/')
def _privacy():
    return render_template('privacy.html')

@views.route('/cookie_consent/')
def _cookie_consent():
    resp = redirect('/')
    resp.set_cookie(
        key='cookie_consent',
        value='true',
        max_age = timedelta(days=14) if request.cookies.get('remember') == 'True' else None,
        path = '/',
        expires = datetime.utcnow() + timedelta(days=14) if request.cookies.get('remember') else None,
        domain = f'.{Config.SERVER_NAME}',
        secure = True
    )
    return resp